#!@@PERL_BIN@@

print << "__EOD__";
Content-type: text/html

<HTML>
<HEAD>
<TITLE>EZ Index</TITLE>
</HEAD>
<BODY BGCOLOR="#ffffff" TEXT="#000000" BACKGROUND="/icons/swish-bg.gif"
    LINK="#ff0000" ALINK="#00cc00" VLINK="#0000cc">
__EOD__

require "cgi-lib.pl";

sub Usage {
    print "</BODY>\n</HTML>\n";
    exit (1);
}

if (! &ReadParse(*input)) {
    print "<B>ezcong2.cgi received no data from the form.</B>", "\n", "\n";
    Usage();
}

$file = "/tmp/$input{'login'}-swish.conf"; 


$data = 
"# SWISH configuration file
# $input{'id'}
# AutoMagic $input{'short_title'}
# Lines beginning with hash marks (#) and blank lines are ignored.
# Generated by mkswishconf $version

#--- Index definition variables

IndexDir $input{'dirs'}
# This is a space-separated list of files and directories to be
# recursively indexed. You can specify more than one of these directives.

IndexFile $input{'home'}/public_html/index.swish
# This is the name of the generated index file.  An extension of
# `.swish' is recommended.

";

$v = $input{'verbosity'};
if ($v eq 0 || $v eq 1 || $v eq 2 || $v eq 3) {
    $data .= "IndexReport $v";
} else {
    $data .= "IndexReport 3";
}
$data .= "
# Verbosity while indexing (0 = silent, 1 = minimum info,
# 2 = 1 + all directories traversed, 3 = 2 + all files indexed)

FollowSymLinks no
# Put `yes' to follow symbolic links in indexing, else `no'.

IndexOnly .htm .html .txt
IndexOnly .shar .Z .gz .tgz .tar .dat .data
IndexOnly .gif .jpg .jpeg .pict .tiff .bmp .ps .xbm .xpm
IndexOnly .mov .avi .fli .mpg .mpeg
IndexOnly .au .snd .wav .hqx .ra .ram
# Only files with these suffixes will be indexed.  If omitted, swish
# will index everything it can under directories named as IndexDirs.
# (case-insensitive)

NoContents .shar .Z .gz .tgz .tar .dat .data
NoContents .gif .jpg .jpeg .pict .tiff .bmp .ps .xbm .xpm
NoContents .mov .avi .fli .mpg .mpeg
NoContents .au .snd .wav .hqx .ra .ram
# Files with these suffixes will have only their file names indexed, not
# their contents. (case-insensitive)

ReplaceRules replace \"home/$input{'login'}/public_html\" \"~$input{'login'}\"
# ReplaceRules allow you to change pathnames as they are added to
# the index - usually into URLs.  Syntax of the variants is:
#   ReplaceRules replace \"original_string\" \"string_you_want\"
#   ReplaceRules prepend \"string_to_prepend_to_paths\"
#   ReplaceRules append \"string_to_append_to_paths\"

FileRules pathname contains admin testing demo trash construction confidential
FileRules pathname contains .swish /stats test/ /,
FileRules filename contains .bak .orig .old old. .swish srchindex .txt
FileRules filename is .htaccess .htpasswd .htgroup
FileRules title contains construction
# File names matching these criteria will not be indexed.
# Syntax:
#   FileRules pathname contains string1 string2 string3 ...
#     (ignore if any part of pathname matches one of these strings)
#   FileRules filename is filename
#     (ignore any *exactly* matching filename)
#   FileRules filename contains string1 string2 string3 ...
#     (ignore if filename contains any of these strings
#       (case-insensitive))
#   FileRules title contains string1 string2 string3 ...
#     (ignore any HTML file whose title contains any of these strings
#       (case-insensitive))
#   FileRules directory contains string1 string2 string3 ...
#     (ignore any directory containing any of these file names
#       (case-insensitive))

IgnoreLimit 50 1
# This automatically omits words that appear too often in the files
# (these words are called stopwords). Specify a whole percentage
# and a number, such as "80 256". This omits words that occur in
# over 80% of the files and appear in over 256 files. Comment out
# to turn off auto-stopwording.

IgnoreWords SwishDefault
# The IgnoreWords option allows you to specify words to ignore.
# Comment out for no stopwords; the word "SwishDefault" will
# include a list of default stopwords. Words should be separated by spaces
# and may span multiple directives.

EmphasizeComments no
# Put "yes" to more heavily weight words in comments when indexing.
# Put "no" to treat words in comments the same as any other words.

EmphasizeMetaTags yes
# Put "yes" to more heavily weight words in META tags when indexing.
# Put "no" to treat words in META tags the same as any other words.

TitleTopLines 6
# Max. number of lines into file to scan for TITLE tag

DefaultRule and
# default rule to apply to multiple wors - can be "and" or "or"

MinWordLimit 4
MaxWordLimit 15
# These define the minimum and maximum word length.

AsciiEntities yes
# Set "yes" to convert named ASCII entities to closest ASCII equivalent
# (numeric entities will always be converted if possible)

IndexTags no
# Set this to yes if, for some bizarre reason, you want to index
# all HTML tags.

IgnoreAllV yes
# Set to yes to ignore words consisting of all vowels

IgnoreAllC yes
# Set to yes to ignore words consisting of all consonants

IgnoreAllN yes
# Set to yes to ignore words consisting of all numbers

IgnoreRowV 4
# Max. number of vowels allowed in a row when indexing - more than this
# will get the word thrown out

IgnoreRowC 5
# Max. number of consonants allowed in a row when indexing - more than this
# will get the word thrown out

IgnoreRowN 4
# Max. number of numbers allowed in a row when indexing - more than this
# will get the word thrown out

IgnoreSame 3
# Max. number of times the same character can appear adjacent to itself -
# more than this will get the word thrown out


#--- Human-useful information to place in index files

# These are output by swish when it's used in search mode.  Front
# ends may wish to make use of them.

IndexName $input{'full_title'}
IndexDescription $input{'desc'}
IndexPointer $input{'url'}
IndexAdmin $input{'email'}
";

open FP, ">$file" || die "<B>Could not open $file</B></BODY>\n</HTML>\n";
print FP $data;
close FP;

exit 0;
