#if ! defined(_string_h_)
#   define _string_h_ 1

/*
** Copyright (C) 1995, Enterprise Integration Technologies Corp.        
** All Rights Reserved.
** Kevin Hughes, kevinh@eit.com 
** 3/11/94
 *
 * Copyright 1995-1998 by Miles O'Neal, Austin, TX, USA.
 * 
 * All Rights Reserved, except as noted herein.
 * 
 * This software may be redistributed in any fashion you like, with only
 * the following limitations.
 * 
 *    1) You must credit the authors in the source code and accompanying
 *       documentation.
 * 
 *    2) You may not use any of the names of the authors or their employers
 *       in any associated advertising without explicit permission from the
 *       parties you wish to name.  Finding and contacting them is up to you.
 * 
 *    3) This copyright must be provided along with the documentation or
 *       code.
 * 
 *    4) The accompanying disclaimer must must be provided along with the
 *       documentation or code.
 * 
 *    5) You must also follow the terms of the enclosed LICENSE-EIT.
 * 
 * If you can actually use this to make money, more power to you.  Just
 * realize that the swish author is dedicated to keeping good, robust,
 * useful code freely available to the public, and that philosophy applies
 * to this package as well.
 * 
 * 
 * WARRANTY & DISCLAIMER
 * 
 * This software is presented as is, with no warranties expressed
 * or implied, including implied warranties of merchantability and
 * fitness.  In no event shall the authors, their institutions, or
 * any subsequent distributors be liable for any special, direct,
 * indirect or consequential damages whatsoever resulting from loss
 * of use, data or profits, whether in an action of contract,
 * negligence or other tortious action, arising out of or in connection
 * with the use or performance of this software. In other words, if
 * you don't like it, don't use it!
 * 
 * Bugs and feature requests, complaints, and so forth, brought to the
 * swish author's attention, will be considered.  Any modifications will
 * be made at the sole discretion of the author.
 * 
 * 
 * AUTHOR
 * 
 * Miles O'Neal
 * meo@rru.com
 * 
 * [Non-obscene suggestions for improvement to this copyright and disclaimer
 * are always welcome.  The intent is to keep control, simply so that nobody
 * else takes control.  This document should be concise and user-friendly.]
 * 
*/


char *convertentities();
char *converttoascii();
char *converttonamed();
char *getconfvalue();
char *getent();
char *getword();
char *lstrstr();
char *mystrdup();
char *mystrdup3();
char *parsetitle();
char *replace();

int hasnonascii();
int hasnumbered();
#ifdef __NOT_YET_USED__
int lstrcmp();
#endif /* __NOT_YET_USED__ */
int wordcompare();

void init_wc();

char *beginchars;
int nbeginchars;
#define isbeginchar(c) beginchars[(int) c]

char *endchars;
int nendchars;
#define isendchar(c) endchars[(int) c]

char *wordchars;
int nwordchars;
#define iswordchar(c) wordchars[(int) tolower(c)]

#ifdef __NOT_YET_USED__
#define _lstrcmp(s, t) \
    (ignore_case ? lstrcmp(s, t) : strcmp(s, t))
#endif /* __NOT_YET_USED__ */

#endif /* _string_h_ */
